"use strict";

var _cicadaVm = require("../cicada-vm.js");

var _cicadaVm2 = _interopRequireDefault(_cicadaVm);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var tag_hash_table = _cicadaVm2.default.tag_hash_table;
var name_hash_table = _cicadaVm2.default.name_hash_table;
var name = _cicadaVm2.default.name;
var set = _cicadaVm2.default.set;
var get = _cicadaVm2.default.get;

describe("vm-test", function () {

  it("tag_hash_table", function () {
    var index = tag_hash_table.key_to_index("testkey0");
    var key = tag_hash_table.index_to_entry(index).key;
    expect(key).toEqual("testkey0");
    tag_hash_table.key_to_index("testkey1");
    tag_hash_table.key_to_index("testkey2");
    tag_hash_table.key_to_index("testkey3");
    tag_hash_table.report();
  });

  it("name_hash_table", function () {

    name("testkey0");
    name("testkey1");
    name("testkey2");
    name("testkey3");
    name("testkey4");
    name("testkey1:testkey2:testkey3");
    name(":::testkey1:testkey2:testkey3");
    name("testkey1:testkey2");
    name("testkey4:testkey4:testkey1");
    name("testkey4:testkey1");

    set(name("k1:k1:k1"), { k1: "1k" });

    expect(get(name("k1"))).toEqual({ k1: "1k" });

    name_hash_table.report();
  });

  // describe("jj-test", function() {
});