import vm from '../cicada-vm.js';
const {
  tag_hash_table, name_hash_table, name, set, get,
} = vm;

describe("vm-test", function() {

it("tag_hash_table", () => {
  let index = tag_hash_table.key_to_index("testkey0");
  let key = tag_hash_table.index_to_entry(index).key;
  expect(key).toEqual("testkey0");
  tag_hash_table.key_to_index("testkey1");
  tag_hash_table.key_to_index("testkey2");
  tag_hash_table.key_to_index("testkey3");
  tag_hash_table.report();
});

it("name_hash_table", () => {

  name("testkey0");
  name("testkey1");
  name("testkey2");
  name("testkey3");
  name("testkey4");
  name("testkey1:testkey2:testkey3");
  name(":::testkey1:testkey2:testkey3");
  name("testkey1:testkey2");
  name("testkey4:testkey4:testkey1");
  name("testkey4:testkey1");

  set(name("k1:k1:k1"), { k1: "1k" });

  expect(get(name("k1")))
    .toEqual({ k1: "1k" });

  name_hash_table.report();
});

// describe("jj-test", function() {
});
